Skip to main content
GET
Get a book

Authorizations

Authorization
string
header
required

OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header

Path Parameters

id
integer<int32>
required

The book ID

Response

Success

description
string
required
Required string length: 5 - 255
id
integer<int32>
required
name
string
required
Required string length: 3 - 100
status
enum<string>
required
Available options:
not_set,
active,
inactive
$type
enum<string>
required
Available options:
Derivitec.Web.Models.Book.BookViewModel, Derivitec.Web.Models
access_type_id
enum<string>
Available options:
not_set,
view,
edit,
owner
number_of_parent_portfolios
integer<int32>
parent_portfolios
object[] | null
read-only
entitled_users
object[] | null
read-only